/**
 * Copyright (C) cedarsoft GmbH.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.cedarsoft.wicket.yaml;

import com.cedarsoft.wicket.yaml.test.TestYamlPage;
import org.apache.wicket.protocol.http.WebApplication;
import org.apache.wicket.util.time.Duration;

/**
 *
 */
public class IntegrationApplication extends WebApplication {
  @Override
  public Class<TestYamlPage> getHomePage() {
    return TestYamlPage.class;
  }

  @Override
  protected void init() {
    super.init();
    getResourceSettings().setResourcePollFrequency( Duration.ONE_SECOND );
    mountBookmarkablePage( "/index", TestYamlPage.class );
  }
}
